# H245_DataProtocolCapability Class Reference

`#include <h245.h>`

List of all members.

## Public Types

enum | Choices { e_nonStandard, e_v14buffered, e_v42lapm, e_hdlcFrameTunnelling, e_h310SeparateVCStack, e_h310SingleVCStack, e_transparent, e_segmentationAndReassembly, e_hdlcFrameTunnelingwSAR, e_v120, e_separateLANStack, e_v76wCompression, e_tcp, e_udp }

## Public Member Functions

| H245_DataProtocolCapability (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H245_NonStandardParameter & ()
| operator const H245_NonStandardParameter & () const
| operator H245_DataProtocolCapability_v76wCompression & ()
| operator const H245_DataProtocolCapability_v76wCompression & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H245_DataProtocolCapability::Choices

Enumerator:

  e_nonStandard |
  e_v14buffered |
  e_v42lapm |
  e_hdlcFrameTunnelling |
  e_h310SeparateVCStack |
  e_h310SingleVCStack |
  e_transparent |
  e_segmentationAndReassembly |
  e_hdlcFrameTunnelingwSAR |
  e_v120 |
  e_separateLANStack |
  e_v76wCompression |
  e_tcp |
  e_udp |

## Constructor & Destructor Documentation

H245_DataProtocolCapability::H245_DataProtocolCapability | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H245_DataProtocolCapability::operator H245_NonStandardParameter & | ( |  | ) |

H245_DataProtocolCapability::operator const H245_NonStandardParameter & | ( |  | ) | const

H245_DataProtocolCapability::operator H245_DataProtocolCapability_v76wCompression & | ( |  | ) |

H245_DataProtocolCapability::operator const H245_DataProtocolCapability_v76wCompression & | ( |  | ) | const

PBoolean H245_DataProtocolCapability::CreateObject | ( |  | ) |

PObject* H245_DataProtocolCapability::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h245.h